V1.0

post

/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/studyVersion/{studyVersion}/subjects/{subjectId}/events/{eventId}/dynamic-items/visibility

Returns item visibility for requested items using Designer dynamic item metadata and active DCS subject data.

Request

Path Parameters
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    53915DD9B758466AB2226CBCC4466B7E
  • Mode of the study. Accepts test, active, or training.
  • ID of the study for which you want to filter and retrieve data elements.
  • String representing the version of the study. Helps track changes in form or study design.
    Example:
    3.0.0.1
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    B5969AC2FBA840438F9E0DB26A2DD33E
Query Parameters
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example:
    1
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : forms
Type: array
Show Source
Nested Schema : DynamicItemVisibilityFormRequestDto
Type: object
Show Source
Nested Schema : itemIds
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : DynamicItemVisibilityResponseDto
Type: object
Show Source
Nested Schema : forms
Type: array
Show Source
Nested Schema : DynamicItemVisibilityFormResponseDto
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : DynamicItemVisibilityItemResponseDto
Type: object
Show Source

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top